List enrollment API keys

Base URL
https://{kibana_url}
  • GET /api/fleet/enrollment_api_keys
  • GET /s/{space_id}/api/fleet/enrollment_api_keys
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

perPage integer · default: 20

The number of items to return

page integer · default: 1
kuery string

Responses

OK

application/json
items object[] required
active boolean required

When false, the enrollment API key is revoked and cannot be used for enrolling Elastic Agents.

api_key string required

The enrollment API key (token) used for enrolling Elastic Agents.

api_key_id string required

The ID of the API key in the Security API.

created_at string required
id string required
name string

The name of the enrollment API key.

policy_id string

The ID of the agent policy the Elastic Agent will be enrolled in.

list object[] deprecated
active boolean required

When false, the enrollment API key is revoked and cannot be used for enrolling Elastic Agents.

api_key string required

The enrollment API key (token) used for enrolling Elastic Agents.

api_key_id string required

The ID of the API key in the Security API.

created_at string required
id string required
name string

The name of the enrollment API key.

policy_id string

The ID of the agent policy the Elastic Agent will be enrolled in.

page number required
perPage number required
total number required

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}